package com.lightinit.hsdataportal.mapper;

import com.lightinit.hsdataportal.entity.BusinessMonitoring;
import com.lightinit.hsdataportal.entity.BusinessMonitoringExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface BusinessMonitoringMapper {
    long countByExample(BusinessMonitoringExample example);

    int deleteByExample(BusinessMonitoringExample example);

    int deleteByPrimaryKey(Long id);

    int insert(BusinessMonitoring record);

    int insertSelective(BusinessMonitoring record);

    List<BusinessMonitoring> selectByExample(BusinessMonitoringExample example);

    BusinessMonitoring selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") BusinessMonitoring record, @Param("example") BusinessMonitoringExample example);

    int updateByExample(@Param("record") BusinessMonitoring record, @Param("example") BusinessMonitoringExample example);

    int updateByPrimaryKeySelective(BusinessMonitoring record);

    int updateByPrimaryKey(BusinessMonitoring record);
}